Bug 1776034 - indefinitely hangs with spinner, no error messages
Summary: indefinitely hangs with spinner, no error messages
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: flatpak
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David King
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-24 21:59 UTC by Chris Murphy
Modified: 2020-11-24 15:16 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 15:16:46 UTC
Type: Bug


Attachments (Terms of Use)
gnome-software --verbose output (168.42 KB, text/plain)
2019-11-24 21:59 UTC, Chris Murphy
no flags Details
gnome-software updates hang screenshot (17.46 KB, image/png)
2019-11-24 22:00 UTC, Chris Murphy
no flags Details

Description Chris Murphy 2019-11-24 21:59:07 UTC
Created attachment 1639312 [details]
gnome-software --verbose output

Description of problem:

Since upgrading from gnome-software-3.34.1-2.fc31.x86_64 to 3.34.1-6, I'm getting an indefinite hang when I click on certain things: Updates tab (always), certain applications after doing a search (Dropbox).

Version-Release number of selected component (if applicable):
gnome-software-3.34.1-2.fc31.x86_64
gnome-software-3.34.1-6.fc31.x86_64
PackageKit-1.1.12-11.fc31.x86_64
flatpak-1.4.3-3.fc31.x86_64

How reproducible:
Always for Updates tab; and I haven't figured out the pattern for clicking on applications in Explore tab (directly or following a search).

Always happens now even after downgrading to -2 and I'm not sure what other component could possibly do this. Maybe flatpak? I'm gonna say not PackageKit because it hasn't seen an update since July on F31.

Steps to Reproduce:
1. killall gnome-software
2. gnome-software --verbose
3. click on Updates tab

Actual results:

Hang for > 15 minutes

Expected results:

No hang, or discrete actionable error message.

Additional info:

Attaching verbose output, excerpts of that below

Updates tab hang with spinner:
20:46:11:0330 Gs  Disconnecting cancellable 0x5580c7f79aa0
20:50:18:0444 PK  notify::connected
21:08:59:0669 Gs  pushing back entry for overview

Search for dropbox, click on the first dropbox result, hang with spinner starts at
21:10:29:0461 flatpak Calling system helper: GenerateOciSummary
21:15:28:0448 PK  notify::connected
21:19:54:0361 Gs  network status change: online [unmetered]
21:19:54:0411 Gs  Chaining cancellation from 0x5580c7f79aa0 to 0x5580c9e91de0
...
21:46:11:0327 Gs  Disconnecting cancellable 0x5580c7f79aa0

Still hung at 21:52 when I'm giving up. The whole time of the hang, all I see is a gray screen in GNOME Software with a spinner in the middle, see attached screenshot.

Comment 1 Chris Murphy 2019-11-24 22:00:12 UTC
Created attachment 1639313 [details]
gnome-software updates hang screenshot

Comment 2 Chris Murphy 2019-11-24 22:10:37 UTC
Does not occur when booting with enforcing=0

This is probably fallout from selinux-policy-3.14.4-42.fc31.noarch

Comment 3 Chris Murphy 2019-11-24 22:12:39 UTC
Nov 24 15:07:58 flap.local audit[2140]: AVC avc:  denied  { execute } for  pid=2140 comm="(m-helper)" name="flatpak-system-helper" dev="nvme0n1p7" ino=1691054 scontext=system_u:system_r:init_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=file permissive=0 trawcon="system_u:object_r:flatpak_helper_exec_t:s0"

Looks like gnome-software gets frustrated and hangs upon flatpak-system-helper being subject to an selinux AVC denial.

Comment 4 Chris Murphy 2019-11-24 22:18:39 UTC
Not fixed by downgrading to selinux-policy-3.14.4-40.fc31.noarch.

Comment 5 Chris Murphy 2019-11-24 22:26:46 UTC
This bug and the AVC denial, go away upon downgrading flatpak 1.4.3-3 to 1.4.3-2, including all of these files.

flatpak-1.4.3-2.fc31.x86_64.rpm
flatpak-libs-1.4.3-2.fc31.x86_64.rpm
flatpak-selinux-1.4.3-2.fc31.x86_64.rpm
flatpak-session-helper-1.4.3-2.fc31.x86_64.rpm

Comment 6 Lukas Vrabec 2019-11-25 10:06:01 UTC
To complete workaround from comment#5, please also run:

# restorecon -Rv / 

after downgrading mentioned packages.

Comment 7 Fabio Valentini 2019-11-25 10:31:33 UTC
(In reply to Chris Murphy from comment #4)
> Not fixed by downgrading to selinux-policy-3.14.4-40.fc31.noarch.

FWIW, I managed to fix the issue on both of my systems by:

- first downgrading (which also had a scriptlet failure)
- AND then reinstalling the stable version of selinux-policy(-targeted).

I'm running SELinux in enforcing mode again without any AVC denials.

Maybe that detail helps.

Comment 8 Lukas Slebodnik 2019-11-25 14:16:44 UTC
IMHO bug is in selinux-policy(and/or container-selinux) and not in flatpak (cause the same issue is with podman)

Comment 9 Daniel Walsh 2019-11-25 15:08:26 UTC
Lukas you think this is a duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=1776248?

Comment 10 Ben Cotton 2020-11-03 15:53:22 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Ben Cotton 2020-11-24 15:16:46 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.